AtomDataServer
Date: 2019-10-22

org.jmol.atomdata

## Interface AtomDataServer

- All Known Implementing Classes:
    Viewer

      public interface AtomDataServer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `evalFunctionFloat(java.lang.Object func, java.lang.Object params, float[] values)`
    `void` | `fillAtomData(AtomData atomData, int mode)`
    `java.io.BufferedInputStream` | `getBufferedInputStream(java.lang.String fullPathName)`
    `AtomIndexIterator` | `getSelectedAtomIterator(javajs.util.BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)`
    `void` | `log(java.lang.String msg)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `readCifData(java.lang.String fileName, java.lang.Object rdrOrStringData, java.lang.String type)`
    `void` | `setIteratorForAtom(AtomIndexIterator iterator, int atomIndex, float distance)`
    `void` | `setIteratorForPoint(AtomIndexIterator iter, int modelIndex, javajs.util.T3 pt, float maxDistance)`

- - ### Method Detail

    - #### getSelectedAtomIterator

          AtomIndexIterator getSelectedAtomIterator(javajs.util.BS bsSelected,
                                                    boolean isGreaterOnly,
                                                    boolean modelZeroBased,
                                                    boolean isMultiModel)

    - #### setIteratorForAtom

          void setIteratorForAtom(AtomIndexIterator iterator,
                                  int atomIndex,
                                  float distance)

    - #### setIteratorForPoint

          void setIteratorForPoint(AtomIndexIterator iter,
                                   int modelIndex,
                                   javajs.util.T3 pt,
                                   float maxDistance)

    - #### fillAtomData

          void fillAtomData(AtomData atomData,
                            int mode)

    - #### getBufferedInputStream

          java.io.BufferedInputStream getBufferedInputStream(java.lang.String fullPathName)

    - #### log

          void log(java.lang.String msg)

    - #### evalFunctionFloat

          float evalFunctionFloat(java.lang.Object func,
                                  java.lang.Object params,
                                  float[] values)

    - #### readCifData

          java.util.Map<java.lang.String,java.lang.Object> readCifData(java.lang.String fileName,
                                                                       java.lang.Object rdrOrStringData,
                                                                       java.lang.String type)